List api key
curl --request GET \
--url https://api.instantly.ai/api/v2/api-keys \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.instantly.ai/api/v2/api-keys"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.instantly.ai/api/v2/api-keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.instantly.ai/api/v2/api-keys")
.header("Authorization", "Bearer <token>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/api-keys",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/api-keys"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"items": [
{
"id": "01a082d0-32e0-7cba-814a-ff80b444ab7b",
"name": "My API Key",
"scopes": [
"campaigns:create"
],
"key": "a1b2c3d4e5f6g7h8i9j0",
"organization_id": "01a082d0-32f0-7c0f-bf6c-4ece3971f5ae",
"timestamp_created": "2026-09-08T20:57:57.744Z",
"timestamp_updated": "2026-09-08T20:57:57.744Z"
}
],
"next_starting_after": "01a082d0-8358-70ea-acf6-81c3f920fc3a"
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Workspace does not have an active paid plan"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}API Key
List api key
Requires one of the following scopes: api_keys:read, api_keys:all, all:read, all:all
GET
/
api
/
v2
/
api-keys
List api key
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The number of items to return
Required range:
1 <= x <= 100Example:
10
The ID of the last item in the previous page - used for pagination. You can use the value of the next_starting_after field from the previous response.
Example:
"01956fbd-0eb1-72db-a565-82977a586084"
Response
The list of API Key
The list of API Key
Show child attributes
Show child attributes
The filter for getting the next items after this one, this could either be a UUID, a timestamp, on an email depending on the specific API
Examples:
"01a082d0-8358-70ea-acf6-81c3f920fc3a"
"2026-09-08T20:58:18.328Z"